body{
    display: grid;
}

.grid{
    display: grid;
    justify-self: center;
    grid-template-rows: 104px 1fr 269px;
    margin: 0px;
    top:0px;
    left: 0px;
}

a{
    text-decoration: none;
}

.contacts{
    grid-column: 1/-1;
    grid-row:2;
    width: 100%;
    display: grid;
    justify-self: center;
    grid-template-columns: 50px 340px 1fr;
}

.info{
    grid-column: 2;
    display: grid;
    grid-template-rows: 140px 50px 40px 60px 60px;
    height: 323px;
}

.info h1{
    font-family: Vollkorn;
    font-size: 56px;
    line-height: 68px;
    display: flex;
    align-items: center;
    color: #2C3759;
}

.address, .phone, .mail{
    display: grid;
    grid-template-columns: 34px 1fr;
    align-content: center;
}

.address img, .phone img{
    margin-top: 14px;
}

.address p, .phone a,.mail a{
    font-family: Roboto;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 24px;
    display: flex;
    align-items: flex-end;
    color: #6E7280;
    text-decoration: none;
}

.vk a{
    border: 1.33px solid #FA6900;
    box-sizing: border-box;
    border-radius: 48px;
    width: 191px;
    height: 53px;
    display: grid;
    grid-template-columns: 66px 1fr;
    text-decoration: none;
    color: #2C3759;
}

.vk a span{
    font-family: Montserrat;
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 24px;
    display: flex;
    align-items: center;
    text-transform: uppercase;
    color: #2C3759;
}

.vk img{
    align-self: center;
    justify-self: center;
}

.mail a:hover, .vk a:hover{
    text-decoration: underline;
}

.map{
    margin-top: 37.5px;
    margin-right: 20px;
    margin-left: 20px;
    justify-self: flex-end;
    width: 80%;
    height: 70vw;
}

@media (max-width: 600px) {
    .contacts{
        grid-template-columns: 1fr;
        grid-template-rows: 350px 1fr;
        width: 100vw;
    }

    .info{
        grid-column: 1;
        grid-row: 1;
        justify-self: center;
        grid-template-rows: 140px 50px 40px 60px 60px;
        grid-template-columns: 95vw;
    }

    .map{
        grid-column: 1;
        grid-row: 2;
        justify-self: center;
        width: 90vw;
        height: 95vw;
        margin-top: 145px;
        margin-left: 5vw;
        margin-right: 5vw;
    }

    .info h1{
        margin: auto;
    }
}

@media (min-width: 1440px){
    .grid{
        grid-template-columns: 1440px;
    }
    .map{
        width: 1000px;
        height: 1000px;
    }
}